Page MenuHomePhabricator

[PowerPC][NFC] Refactor lowerDynamicAlloc
ClosedPublic

Authored by lkail on Jun 7 2020, 7:49 PM.

Details

Reviewers
hfinkel
steven.zhang
Group Reviewers
Restricted Project
Commits
rG40e9e0826be8: [PowerPC][NFC] Refactor lowerDynamicAlloc
Summary

When performing dynamic stack allocation, calculation of frame pointer and actual negsize can be separated. This patch refactors lowerDynamicAlloc in preparation of supporting -fstack-clash-protection which also has to calculate actual frame pointer and negsize.

Diff Detail

Event Timeline

lkail created this revision.Jun 7 2020, 7:49 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 7 2020, 7:49 PM
steven.zhang added inline comments.
llvm/lib/Target/PowerPC/PPCRegisterInfo.cpp
492

Add some necessary comments here to indicate what's the prepareDynamicAlloc doing

lkail updated this revision to Diff 272324.Jun 21 2020, 7:38 PM

Add comment to indicate what prepareDynamicAlloca does.

steven.zhang accepted this revision.Jun 22 2020, 3:56 PM

LGTM. Please do remember to format the change of your code before committing it.

This revision is now accepted and ready to land.Jun 22 2020, 3:56 PM
This revision was automatically updated to reflect the committed changes.